#include <iostream>
using namespace std;

long long int zaok( long long int a, int b )
{
	if( a % b == 0 )
		return a / b;
	
	return a / b + 1;
}

long long int fun( int p,int  q,int  r, long long int N )
{
	long long int a, b, c;
	
	a = zaok( N, p );
	b = zaok( N, q );
	c = zaok( N, r );
	
	return a + b + c;
}

int main()
{
	long long int i, L, R;
	int p, q, r, s = 0;
	
	cin >> p >> q >> r >> L >> R;
	
	for( i = L; i <= R; ++i )
	{
			
		if( fun( p, q, r, i ) <= i )
			++s;
	}
	
	cout << s;
	
	return 0;
}